<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\View; // wajib
use App\Models\KategoriTps; // wajib

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        // Share semua kategori TPS ke semua view
        View::share('kategoriTps', KategoriTps::all());
    }
}
